<?php 
include("head2.php");
if(!isset($_POST['flagadd']))
{
	$flagadd=$_GET['flagadd'];
}else{
	$flagadd=$_POST['flagadd'];
}

if(!isset($_POST['flag_delete']))
{
	$flag_delete=$_GET['flag_delete'];
}else{
	$flag_delete=$_POST['flag_delete'];
}

if(!isset($_POST['com_code']))
{
	$com_code=$_GET['com_code'];
}else{
	$com_code=$_POST['com_code'];
}

if(!isset($_POST['com_number']))
{
	$com_number=$_GET['com_number'];
}else{
	$com_number=$_POST['com_number'];
}

//echo "$flagadd,$NewsID";
    date_default_timezone_set('Asia/Bangkok');
	$date = date("Y/m/d");
	$date2 = date("d/m/Y");
	$dateDB = date("d-m-Y");	
//------START--DEL
if($flag_delete){
      $subfileNewsID=$_GET['subfileNewsID'];
	  echo "<CENTER>Deleted OK</CENTER>";
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql_del="DELETE FROM command_file WHERE com_code=$com_code";
	    odbc_exec($conn,$sql_del);
	    odbc_close($conn);
}
//------END ---  DEL

//--start---flag add
if($flagadd){
$fileupload = $_REQUEST['fileupload']; //รับค่าไฟล์จากฟอร์ม	
$file_title=$_POST['file_title'];
$com_number=$_POST['com_number'];
$num = explode("/", $com_number);
$com_number_first=$num[0];
$com_number_secound=$num[1];    

$com_type_id=$_POST['com_type_id'];
$com_title=$_POST['com_title'];
$com_comand_date=$_POST['com_coomand_date'];
$DD = explode("/", $com_comand_date);
$A=$DD[0]+543;
$B=$DD[1];
$C=$DD[2];
echo  "$A-$B-$C";
$com_comand_date=$A."/".$B."/".$C;
//$com_comand_date=$DD;
$sub_work_id=$_POST['sub_work_id'];

//1. เชื่อมต่อ database: 
//include('connection.php');  //ไฟล์เชื่อมต่อกับ database ที่เราได้สร้างไว้ก่อนหน้าน้ี
$fileupload = $_REQUEST['fileupload']; //รับค่าไฟล์จากฟอร์ม	

//ฟังก์ชั่นวันที่
        date_default_timezone_set('Asia/Bangkok');
	$date = date("Ymd");	
	$dateDB = date("Y/m/d");

//ฟังก์ชั่นสุ่มตัวเลข
         $numrand = (mt_rand());
//เพิ่มไฟล์
$upload=$_FILES['fileupload'];
if($upload <> '') {   //not select file
//โฟลเดอร์ที่จะ upload file เข้าไป 
$rootDIR= $_SERVER['DOCUMENT_ROOT'];
$place2place="file_command";
//$path="testbank/";  
echo "[$com_comand_date]";
//เอาชื่อไฟล์เก่าออกให้เหลือแต่นามสกุล
 $type = strrchr($_FILES['fileupload']['name'],".");
//	echo "<CENTER>ชื่อของไฟล์ คือ ".$file[name]."<br>";
$text="command_";
$newname = $text.$com_number_first."_".$com_number_secound.$type;
$path_copy=$path.$newname;
$pathcopy=$newname;

//ตั้งชื่อไฟล์ใหม่โดยเอาเวลาไว้หน้าชื่อไฟล์เดิม
//$newname = $upload[name];
//echo "VALUES ('$com_number_first','$com_number_secound','$com_type_id','$newname','$type','$dateDB','$sub_work_id')";
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
$sql="INSERT INTO command_file  (com_number_first,com_number_secound,com_type_id,com_title,com_file,com_file_type,com_command,sub_work_id,download_count)  VALUES ('$com_number_first','$com_number_secound','$com_type_id','$com_title','$newname','$type','$com_comand_date','$sub_work_id',0)";
	odbc_exec($conn,$sql);
	odbc_close($conn);


if(move_uploaded_file($_FILES["fileupload"]["tmp_name"],"$rootDIR/$place2place/".$newname))
{
	echo "Copy/Upload Complete";
}


	}
	
	echo "<CENTER>UPLOAD  command file Complete<BR><CENTER>";
}
?>
<?php
//--end  flag add
?>
<center>
<br>
<?php
if($emp_name<>""&&$error<>1){
      echo  "<CENTER>MENU SHOW</CENTER>";
?>
<H2>ฟอร์มเพิ่ม/แสดงรายการคำสั่งราชการของโรงเรียน</H2>
<table width=85% border=1  bgcolor=#ffffff bordercolor=#ffccff>
<tr bgcolor=#ccffff>
	<td align=center>ลำดับ</td><TD align=center>เลขคำสั่ง</TD><TD align=center>เรื่อง</TD><TD align=center width=20%>filename</TD><TD align=center>Edit</TD>
</tr>

<?php
$sql2="SELECT * FROM command_file  ORDER BY com_code";
$list2=odbc_exec($conn,$sql2);
$i=1;
$PATH="../file_command/";
while(odbc_fetch_row($list2,$i)){
		
		$com_code=odbc_result($list2,"com_code");
		$com_number_first=odbc_result($list2,"com_number_first");
		$com_number_secound=odbc_result($list2,"com_number_secound");
		$com_type_id=odbc_result($list2,"com_type_id");
		$com_title=odbc_result($list2,"com_title");
		$com_file=odbc_result($list2,"com_file");
		$com_file_type=odbc_result($list2,"com_file_type");
		$com_command=odbc_result($list2,"com_command");
		$sub_work_id=odbc_result($list2,"sub_work_id");
?>
<tr>
	<td align=center><?php echo "$i"?></TD>
	<td align=center><?php echo "$com_number_first/$com_number_secound"?></TD>
	<td>
	<?php 
	echo "$com_title"
	?></TD>
	<td><?php echo "$com_file"?></TD>
	<td align=center>
	<?php
	echo "<a href=\"frm_command.php?flag_delete=1&com_code=$com_code\">del</a>";
	?>
	</TD>
</TR>
<?php
		$i++;
}

?>
</table>
<br>
<table width=90% bgcolor=#FFFFFF border=1 bordercolor=#cccccc>
<tr><td align=center>
<CENTER><H2>เพิ่มไฟล์ประกอบคำสั่งราชการ</H2></CENTER>
<br><HR width=60%>
<form action="frm_command.php?flagadd=1" method="post" enctype="multipart/form-data" name="upfile" id="upfile">
  <table width="85%" border="0" align="center" cellpadding="2" cellspacing="2">
  
  <TR bgcolor=#00ccff>
  <TD align=RIGHT>เลขที่คำสั่ง</TD>
  <TD><INPUT type="TEXT" size=10 name="com_number"></TD>
  </TR>
  
  <TR bgcolor=#00ccff>
  <TD align=RIGHT>ประเภทคำสั่ง</TD>
  <TD>
  <SELECT name="com_type_id">
 <?php
 $sql3="SELECT * FROM  command_type";
$list3=odbc_exec($conn,$sql3);
$t=1;
while(odbc_fetch_row($list3,$t)){
		
		$com_type_id=odbc_result($list3,"com_type_id");
		$com_type_title=odbc_result($list3,"com_type_title");
		echo "<OPTION value=$com_type_id>$com_type_title</OPTION>";
		$t++;
}
 ?>
 </SELECT>
  </TD>
  </TR> 

  <TR bgcolor=#00ccff>
  <TD align=RIGHT>เรื่อง</TD>
  <TD><INPUT type="TEXT" size=80 name="com_title"></TD>
  </TR>
  <TR bgcolor=#00ccff>
  <TD align=RIGHT>สั่ง  ณ  วันที่  เดือน  พ.ศ.</TD>
  <TD>
  <div id="startDate">
  <script type="text/javascript">

$(function(){
	$("#com_coomand_date").datepicker({
		//dateFormat: 'dd/m/yy',
		dateFormat: 'yy/mm/dd',
		numberOfMonths: 1,
	});
});

</script>
  <input type="text" name="com_coomand_date" id="com_coomand_date" value="" />
  </div>

  </TD>
  </TR>
  <TR bgcolor=#00ccff>
  <TD align=RIGHT>งานที่เกี่ยวข้อง</TD>
  <TD>
  <SELECT name="sub_work_id">
 <?php
 $sql="SELECT main_Work.Work_ID, main_Work.Work_Title, sub_Work.sub_Work_ID, sub_Work.sub_Work_Title FROM main_Work INNER JOIN sub_Work ON main_Work.Work_ID = sub_Work.Work_ID";
$list=odbc_exec($conn,$sql);
$t=1;
while(odbc_fetch_row($list,$t)){
		
		$sw_ID=odbc_result($list,"sub_Work_ID");
		$main_work=odbc_result($list,"Work_Title");
		$sw_Name=odbc_result($list,"sub_Work_Title");
		echo "<OPTION value=$sw_ID>[$main_work]&nbsp;$sw_Name</OPTION>";
		$t++;
}
 ?>
 </SELECT>
  </TD>
  </TR> 

	<tr>
      <td height="40" colspan="2" align="center" bgcolor="#66ffff">Upload&nbsp; File</td>
    </tr>
    <tr>
      <td align="center" bgcolor="#cccccc">File Browser</td>
      <td bgcolor="#99ff66"><label>
        <input type="file" name="fileupload" id="fileupload"  required="required"/>
      </label></td>
    </tr>
    <tr>
      <td bgcolor="#EDEDED">&nbsp;</td>
      <td bgcolor="#EDEDED"><input type="submit" name="button" id="button" value="Upload file" /></td>
    </tr>

  </table>
</form>
</center>
<A href="indexmain.php">Home</A>
</td></tr></table>
<BR>
<?php
}
else{
      echo  "<CENTER>คุณไม่ผ่านการ Login /คุณคือไม่ได้รับสิทธิ์ในการใช้งาน?...</CENTER>";
      echo  "<CENTER><a href=\"index.php\">กลับสู่หน้า Login  อีกครั้ง</a></CENTER>";
}
?>

</center>
<?php 
include("last2.php");
?>